%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jboss-vfs
Version:          3.1.0
Release:          6%{?dist}
Summary:          JBoss Virtual File System
Group:            Development/Libraries
License:          LGPLv2+
URL:              https://github.com/jbossas/jboss-vfs/

# Microsoft JDBC driver needs to be removed
#
# git clone git://github.com/jbossas/jboss-vfs.git
# cd jboss-vfs && git checkout 3.1.0.Final && git checkout-index -f -a --prefix=jboss-vfs-3.1.0.Final/
# rm jboss-vfs-3.1.0.Final/src/test/resources/vfs/test/zipeinit.jar
# tar -cJf jboss-vfs-3.1.0.Final-CLEAN.tar.xz jboss-vfs-3.1.0.Final
Source0:          %{name}-%{namedversion}-CLEAN.tar.xz
Patch0:           %{name}-%{namedversion}-pom.patch

BuildArch:        noarch

BuildRequires:    jpackage-utils
BuildRequires:    java-devel
BuildRequires:    maven-local
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-release-plugin
BuildRequires:    maven-resources-plugin
BuildRequires:    maven-enforcer-plugin
BuildRequires:    maven-checkstyle-plugin
BuildRequires:    maven-plugin-cobertura
BuildRequires:    maven-dependency-plugin
BuildRequires:    maven-ear-plugin
BuildRequires:    maven-eclipse-plugin
BuildRequires:    maven-ejb-plugin
BuildRequires:    maven-surefire-plugin
BuildRequires:    maven-surefire-provider-junit4
BuildRequires:    jboss-logging
BuildRequires:    junit4
BuildRequires:    jboss-parent

Requires:         jboss-logging
Requires:         jpackage-utils
Requires:         java

%description
This package contains the JBoss Virtual File System.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Documentation
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}
%patch0 -p1

rm -rf .classpath archives/ .project

%build
# Skipped because jboss-test is not packaged already
mvn-rpmbuild install -Dmaven.test.skip=true javadoc:aggregate

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# JAR
install -pm 644 target/%{name}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# POM
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

# APIDOCS
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*

%files javadoc
%{_javadocdir}/%{name}

%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 3.1.0-5
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Fri Jul 20 2012 Marek Goldmann <mgoldman@redhat.com> - 3.1.0-4
- Fixed typo

* Fri Jul 20 2012 Marek Goldmann <mgoldman@redhat.com> - 3.1.0-3
- Fixed BR

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Mar 09 2012 Marek Goldmann <mgoldman@redhat.com> 3.1.0-1
- Upstream release 3.1.0.Final
- Relocated jars to _javadir

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.0-0.2.CR1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Dec 02 2011 Marek Goldmann <mgoldman@redhat.com> 3.1.0-0.1.CR1
- Upstream release 3.1.0.CR1

* Fri Oct 07 2011 Marek Goldmann <mgoldman@redhat.com> 3.0.1-3
- Cleaned up source distrubuition, again

* Sun Oct 02 2011 Marek Goldmann <mgoldman@redhat.com> 3.0.1-2
- Cleaned up source distribution
- Spec cleanup

* Thu Aug 04 2011 Marek Goldmann <mgoldman@redhat.com> 3.0.1-1
- Initial packaging

